/*
 * crash-manager
 *
 * Copyright (c) 2020 Samsung Electronics Co., Ltd.
 *
 * Licensed under the Apache License, Version 2.0 (the License);
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
#ifndef __DIAGNOSTICS_H__
#define __DIAGNOSTICS_H__

#define BR_ERROR        1
#define BR_OK           0
#define BR_ERR_PARAM    1
#define BR_ERR_INTERNAL 2

enum diagnostics_entry {
	FULL_REPORT = 0,
	INFO_JSON
};

enum diagnostics_metadata {
	APPID,
	CMDLINE,
	SIGNAL,
};

struct diagnostics_report;

int diagnostics_report_get_file(const char *report_path,
			      const enum diagnostics_entry entry);

#endif  // __DIAGNOSTICS_H__
